'use strict';

var React = require('react');

var Button = require('./button');
var Tooltip = require('./tooltip');

var Hint = React.createClass({
  displayName: 'Hint',


  propTypes: {
    children: React.PropTypes.node,
    onDismiss: React.PropTypes.func,
    position: React.PropTypes.string
  },

  render: function render() {
    return React.createElement(
      Tooltip,
      { className: 'pl-hint', position: this.props.position },
      this.props.children,
      this.props.onDismiss && React.createElement(
        'div',
        { className: 'pl-hint-dismiss' },
        React.createElement(
          Button,
          { isSecondary: true, isSmall: true, onClick: this.props.onDismiss },
          'Got it!'
        )
      )
    );
  }
});

module.exports = Hint;